<?php
/*
 * Plugin Name: CoolIris-Piclens
 * Version: 0.3.2
 * Description: Cooliris/Piclens activation
 * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
 * Author: Tiico
 * Author URI: 
 * */
/********* Fichier main.inc.php  ********* /
 /* 0.2.0 --> version for PIWIGO 2.0.0    */
 /* 0.2.1 --> bug generation flux RSS  */
 /*		icone piclens lite ameliore   */
 /* 0.2.2 --> Bug sur les pages autres que "categories"  */
 /*		bug caractere speciaux dans flux xml genere   */
 /* 0.2.3 --> gestion des level (niveaux de confidentialit) sur les images  */
 /* 0.2.4 --> Ajout informations dans flux RSS (version...) et icone de la gallerie */
 /*		Paramtrage du nom et description  afficher sous l'image piclens   */
 /*		Ajout 3DWall de cooliris   */
 /* 0.2.5 --> dsacrivation de 3DWall (si prsence de  PWG Stuff) */
 /* 		Nettoyage code + correction notice page admin*/
 /*		Ajout support video "vimeo" (plugin PY Gvideo)   */
 /*		Ajout support video "flv" (plugin Charlies)   */
 /* 0.2.6 --> Nettoyage et restructuration du code + modification page admin */
 /*		  paramtrage choix couleur fond sur mur 3D */
 /*		  paramtrage prise en compte fichiers video  */
 /* 0.2.7 --> Correction ouverture fichier videos GY Video */
 /* 0.3.0beta --> ajout parametrage pour mur 3D dont selection categories */
 /* 0.3.0beta2 --> correction requete SQL de selection des images */
 /*		  	correction notice sur le 'root_path' */
 /* 0.3.0beta3 --> ajout affichage aleatoire et categorie dans le flux  */
 /*		  	Modification template piclenswall : mode transparent */
 /*		  	Affichage des categories (parametrable) dans le titre de l'image sous piclens */
 /*		  	Modification et correction configuration du tri par defaut Piwigo ( order_by_inside_category) */
 /*		  	Ajout parametrage icones sur le mur 3D */
 /*		  	Quelques Corrections integration SecureImage */
 /* 0.3.0beta4 --> support multi-langue  (FR et EN)*/
 /*		  	Optimisation requetes SQL */
 /*		  	regroupement fichiers de generation flux rss (piclens-rss et piclenswall-rss) dans le fichier generate_rss */
 /*		  	Ajout parametrage et remplacement de la navigation par le mur 3D et titre mur 3D*/
 /* 0.3.0beta5 --> Correction ; manquant dans default_values (oups!)*/
 /* 0.3.0beta6 --> Ajout parametre de tri/ordre selon le flux genere : accueil ou categorie*/
 /*		  	Correction Lien entre tri et ordre si parametre = defaut PIWIGO*/ 
 /*		  	Integration extended description (prise en compte hidden [categories et images] et description multilangue)*/
 /*		  	Quelques corrections dans le flux xml genere (W3C feed validation)*/
 /* 0.3.0beta7 --> Correction requete sql sur categorie*/
 /*		  	Correction page admin (sauvegarde des parametres ordre et tri)*/
 /* 0.3.0beta8 --> Activation piclens et mur sur pages speciales*/
 /*		  	Parametre de recursivite (standard et specifique)*/
 /*		  	Corrections et optimisation code*/
 /* 0.3.0 --> Publication version finale*/
 /* 0.3.1 --> Correction "notice" (warning) sur variable piclnkmaster*/
 /*		 Ajout paramtre pour le mode transparent (a prendre en compte dans PWG Stuff)*/
 /* 0.3.2 --> Correction "notice" (warning) sur variable piclens_wall_transparent*/

/********* TODO  *********/
//- sauvegarde en base des paramtres

 
if (!defined('PHPWG_ROOT_PATH'))  die('Hacking attempt!');
 
define('PICLENS_NAME', 'Cooliris/Piclens');
define('PICLENS_ROOT', dirname(__FILE__));
define('PICLENS_DIR' , basename(dirname(__FILE__)));
define('PICLENS_CFG_FILE' , PICLENS_ROOT.'/'.PICLENS_DIR.'.dat');
define('PICLENS_CFG_FILE_OLD' , PICLENS_ROOT.'/data.dat');		// ancien fichier de config (version <= 0.2.5)
define('PICLENS_PATH' , PHPWG_PLUGINS_PATH . PICLENS_DIR . '/');
define('PICLENS_INC_PATH' , PHPWG_PLUGINS_PATH . PICLENS_DIR . '/include/');
define('PICLENS_IMG_PATH' , PHPWG_PLUGINS_PATH . PICLENS_DIR . '/img/');
define('PICLENS_ADMIN_PATH' , PHPWG_PLUGINS_PATH . PICLENS_DIR . '/admin/');

load_language('plugin.lang', PICLENS_PATH);

include_once PICLENS_INC_PATH.'Piclens.class.php';

$obj = new Piclens();
$obj->load_config();

add_event_handler('loc_end_page_header', array(&$obj, 'piclens_link' ));
add_event_handler('loc_end_index', array(&$obj, 'add_piclens_icon'));
add_event_handler('loc_begin_index', array(&$obj, 'set_make_full_url_piclens'));
add_event_handler('loc_end_index' , array(&$obj, 'piclenswall'));

add_event_handler('loc_end_index', array(&$obj, 'piclens_thumbnails'));

 
add_event_handler('get_admin_plugin_menu_links', array(&$obj, 'piclens_admin_menu') );
set_plugin_data($plugin['id'], $obj)


?>
